Create Checkout - V2
PUT /order/v2/checkout
Create a Checkout link for payment
This version all checkout orders will be validated by AML process, to prevent frauds.
NOTE: Please, to authenticate use the scope: “api://app-order-hml”
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ”A unique identifier for the message with a maximum of 64 characters (we recommend a UUID).
Request Body required
Section titled “Request Body required ”object
The customer of the checkout.
object
The name of the customer, e.g.: [John Doe] or [Acme Corporation].
The type of entity that owns the account.
The document of the Customer.
object
Type of document, used when providing an ID number.
----------------------------
Brasil
----------------------------
CPF
CNPJ
OTHERS
The number in the document.
The e-mail address of the Customer.
The phone number of the Customer.
The date of birth or foundation, in ISO-8601 YYYY-MM-DD format.
The country of the Merchant
The address of the Customer.
object
State.
City.
Street.
Neighborhood.
Number.
Complement.
Postal code.
The checkout details.
object
Order reference in your system.
Amount of the order.
object
Currency
The amount of the transaction, in minor units. Minor Units Format ------------------ All amount values must be formatted in that currency’s smallest unit. Two-decimal currency (for example Real): R$ 10,95 BRL, amount will be “10.95”. Two-decimal currency (for example US Dollars): $10.95 USD, amount will be “10.95”. Zero-decimal currency (for example Japanese Yen): ¥1095 JPY, amount will be “1095”. Click here to download the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency
Payment method for the order. (used to force a specific payment method)
Whether to use 3D Secure for the order.
Some description of your order as String.
The URL for order notification.
The URL for order return after payment Done
The expiration date and time for the checkout in ISO-8601 format. Must be a future date. If not provided, defaults to 1 day from creation. Maximum allowed will be validated at runtime based on configuration.
The country of the Merchant
Responses
Section titled “ Responses ”The resource was returned successfully
object
The id of the order create.
Order id in your system.
Order status
Link image qrCode.
Base64 of image qrCode.
String with all pix transaction info needed to be copy and paste into bank app
QrCode expiration DateTime
Deeplink to open binance app to payment.
Universal url to finish the payment.
Challenge url for 3DS antifraud verification.
Challenge access token for 3DS antifraud verification.
Challenge url for 3DS antifraud verification.
Challenge access token for 3DS antifraud verification.
Challenge status for 3DS antifraud verification.
Checkout url to finish the payment.
Order Token
Fee
object
Fixed fee amount
object
Variable fee amount
object
Addictional fee amount
object
Error message
Final value, which the customer will pay, including fees
Description about the order
Payment bank account, SPEI only
object
The clabe
The beneficiary
The bankCode
The request is not valid
Unauthorized Request
An unexpected error occurred inside the server